Package robocode

## Class _Robot

- java.lang.Object
- - robocode._RobotBase
  - - robocode._Robot

All Implemented Interfaces:
  `Runnable`, `IBasicRobot`

Direct Known Subclasses:
  `Robot`

    public abstract class _Robot
    extends _RobotBase

This class is used by the system, as well as being a placeholder for all deprecated (meaning, you should not use them) calls for `Robot`.

You should create a `Robot` instead.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Pavel Savara (contributor)
See Also:
  `Robot`, `JuniorRobot`, `AdvancedRobot`, `TeamRobot`, `RateControlRobot`

### Field Summary

### Fields inherited from class robocode._RobotBase

`out`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getBattleNum​()` Deprecated. Use `getRoundNum()` instead.
`double` `getGunCharge​()` Deprecated. Use `getGunHeat()` instead.
`String` `getGunImageName​()` Deprecated. This call is not used.
`double` `getLife​()` Deprecated. Use `getEnergy()` instead.
`int` `getNumBattles​()` Deprecated. Use `getNumRounds()` instead.
`String` `getRadarImageName​()` Deprecated. This call is not used.
`String` `getRobotImageName​()` Deprecated. This call is not used.
`void` `setGunImageName​(String newGunImageName)` Deprecated. This call is not used.
`void` `setInterruptible​(boolean interruptible)` This call has moved to `AdvancedRobot`, and will no longer function in the `Robot` class.
`void` `setRadarImageName​(String newRadarImageName)` Deprecated. This call is not used.
`void` `setRobotImageName​(String newRobotImageName)` Deprecated. This call is not used.

### Methods inherited from class robocode._RobotBase

`finalize, setOut, setPeer`

### Methods inherited from interface robocode.robotinterfaces.IBasicRobot

`getBasicEventListener, getRobotRunnable`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Method Detail

#### getGunCharge

    @Deprecated
    public double getGunCharge​()

Deprecated. Use `getGunHeat()` instead.

Returns:
  5 - `getGunHeat()`.

#### getLife

    @Deprecated
    public double getLife​()

Deprecated. Use `getEnergy()` instead.

Returns:
  the robot's current life/energy.

#### getNumBattles

    @Deprecated
    public int getNumBattles​()

Deprecated. Use `getNumRounds()` instead.

Returns:
  the number of rounds in the current battle

#### getBattleNum

    @Deprecated
    public int getBattleNum​()

Deprecated. Use `getRoundNum()` instead.

Returns:
  the current round number of the battle (zero indexed).

#### setInterruptible

    public void setInterruptible​(boolean interruptible)

This call has moved to `AdvancedRobot`, and will no longer function in the `Robot` class.

Parameters:
  `interruptible` - `true` if the event handler should be interrupted if new events of the same priority occurs; `false` otherwise

#### getGunImageName

    @Deprecated
    public String getGunImageName​()

Deprecated. This call is not used.

Returns:
  the name of the gun image

#### setGunImageName

    @Deprecated
    public void setGunImageName​(String newGunImageName)

Deprecated. This call is not used.

Parameters:
  `newGunImageName` - the name of the new gun image

#### setRadarImageName

    @Deprecated
    public void setRadarImageName​(String newRadarImageName)

Deprecated. This call is not used.

Parameters:
  `newRadarImageName` - the name of the new radar image

#### setRobotImageName

    @Deprecated
    public void setRobotImageName​(String newRobotImageName)

Deprecated. This call is not used.

Parameters:
  `newRobotImageName` - the name of the new robot body image

#### getRadarImageName

    @Deprecated
    public String getRadarImageName​()

Deprecated. This call is not used.

Returns:
  the name of the radar image

#### getRobotImageName

    @Deprecated
    public String getRobotImageName​()

Deprecated. This call is not used.

Returns:
  the name of the robot image